ChangeSet 1.1722.83.6, 2004/06/02 13:25:59-07:00, david-b@pacbell.net

[PATCH] USB: usb retry cleanups

This patch stops changing the reported fault mode in cases where retries of
GET_DESCRIPTOR fail because the device just doesn't have such a descriptor.
Plus, it stops printing messages when retrying.

It also reduces the number of retries; the first retry seems to resolve most
of these firmware problems.

Signed-Off-By:  David Brownell <dbrownell@users.sourceforge.net>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/core/message.c |    5 +----
 1 files changed, 1 insertion(+), 4 deletions(-)


diff -Nru a/drivers/usb/core/message.c b/drivers/usb/core/message.c
--- a/drivers/usb/core/message.c	Fri Jun 18 11:06:42 2004
+++ b/drivers/usb/core/message.c	Fri Jun 18 11:06:42 2004
@@ -566,7 +566,7 @@
  */
 int usb_get_descriptor(struct usb_device *dev, unsigned char type, unsigned char index, void *buf, int size)
 {
-	int i = 5;
+	int i = 3;
 	int result;
 	
 	memset(buf,0,size);	// Make sure we parse really received data
@@ -579,9 +579,6 @@
 				    HZ * USB_CTRL_GET_TIMEOUT)) > 0
 				|| result != -EPIPE)
 			break;
-
-		dev_dbg (&dev->dev, "RETRY descriptor, result %d\n", result);
-		result = -ENOMSG;
 	}
 	return result;
 }
